
Foreman - Bug #12271

Audit of template change has an empty diff 

10/22/2015 03:56 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Templates   

Target version: 1.10.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1274045 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3065

  

Description

All job template audit diffs are blank in UI.

Related issues:

Related to Foreman - Refactor #11625: Make foreman ace editor reusable Closed 08/31/2015

Associated revisions

Revision f3756869 - 01/14/2016 04:35 AM - Dominic Cleal

fixes #12271 - update ace editor usage, remove unused JS

Revision 96f624f8 - 01/19/2016 09:18 AM - Dominic Cleal

fixes #12271 - update ace editor usage, remove unused JS

(cherry picked from commit f375686909929748590f94fbce08b49cda2cc636)

History

#1 - 10/23/2015 10:26 AM - Marek Hulán

- File diff.png added

Is this what you mean?

#2 - 10/30/2015 03:14 AM - Marek Hulán

- Project changed from Foreman Remote Execution to Foreman

- Subject changed from audit of job template change has an empty diff  to Audit of template change has an empty diff 

- Category set to Templates

This is present in core for other templates types as well, probably not remote execution related. Moving to core.

#3 - 10/30/2015 04:06 AM - Dominic Cleal

- Related to Refactor #11625: Make foreman ace editor reusable added

#4 - 10/30/2015 04:06 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#5 - 10/30/2015 04:07 AM - Dominic Cleal

The JavaScript include needs updating from provisioning_template to editor, and the page may need updating to work with the refator in fa8353d.

#6 - 11/09/2015 09:34 AM - Thomas McKay

To reproduce: Edit any provisioning template text and save, then visit the History tab and click the "Show Diff" link. Note that the diff is empty.
#7 - 12/11/2015 06:43 AM - Dominic Cleal

- translation missing: en.field_release changed from 63 to 104

#8 - 01/13/2016 07:07 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#9 - 01/13/2016 07:12 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3065 added

#10 - 01/14/2016 05:04 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f375686909929748590f94fbce08b49cda2cc636.

#11 - 02/16/2016 08:32 AM - Marek Hulán

- Bugzilla link set to 1274045
